# Minigioco Indovina i Suoni
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:20}] run clone -652 44 -610 -653 45 -610 -663 44 -629
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:20}] run playsound minecraft:block.stone.place ambient @a -663 44 -629
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:20}] run particle minecraft:block gray_concrete -662 45.0 -629 0.1 0 0.1 0.1 20
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:40}] run clone -652 44 -610 -653 45 -610 -663 44 -626
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:40}] run playsound minecraft:block.stone.place ambient @a -663 44 -626
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:40}] run particle minecraft:block gray_concrete -662 45.0 -626 0.1 0 0.1 0.1 20
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:60}] run clone -652 44 -610 -653 45 -610 -663 44 -623
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:60}] run playsound minecraft:block.stone.place ambient @a -663 44 -623
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:60}] run particle minecraft:block gray_concrete -662 45.0 -623 0.1 0 0.1 0.1 20
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:80}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:80}] at @e[tag=dh.t_mobSuono] run playsound minecraft:entity.enderman.teleport ambient @a ~ ~ ~ 1 1.3
execute if entity @e[tag=dh.t_presentaMob,type=area_effect_cloud,nbt={Age:80}] run clone -653 45 -607 -653 45 -601 -663 45 -629

# Morte Secondo Giocatore
execute if entity @s[tag=dh.t_dueGiocatori] if block -667 42 -623 minecraft:pink_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @a[tag=dh.t_giocatori]

# Morte Passeggero
execute if block -667 42 -623 minecraft:pink_wool run kill @e[tag=dh.t_passeggero,nbt={OnGround:1b}]
execute if block -667 42 -623 minecraft:pink_wool as @e[tag=dh.t_passeggero,type=zombie] run data merge entity @s {Fire:0s}



# Round 1
execute if block -665 42 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 42 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_primoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_primoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 42 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_primoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso1
execute if entity @e[tag=dh.t_primoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:parrot -662 53 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,OnGround:1b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round1","dh.t_candidato1","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_primoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:ocelot -662 53 -626 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Passengers:[{id:"zombie",IsBaby:1,CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Tags:["dh.t_round1","dh.t_candidato2","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round1","dh.t_candidato2","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_primoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:witch -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round1","dh.t_candidato3","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_primoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a subtitle {"text":"1/10"}
execute if entity @e[tag=dh.t_primoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 42 -623 minecraft:yellow_wool run playsound minecraft:entity.parrot.imitate.witch ambient @s ~ ~ ~"}}]}

# Leva 1 Giusta
execute if block -665 42 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 42 -623 {Particle:"minecraft:ambient_entity_effect",Duration:81,Tags:["dh.t_fineRound","dh.t_soluzione1"]}

# Leve 2 e 3 Sbagliate
execute if block -665 42 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato2,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata
execute if block -665 42 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato3] add dh.t_rispostaSbagliata

execute if block -665 42 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 42 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeOcelot"]}
execute if block -665 42 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 42 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeStrega"]}

# Rianimazione
execute if block -665 42 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 42 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 42 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 42 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 42 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso1
execute if block -665 42 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 42 -623 minecraft:yellow_wool 



# Round 2
execute if block -665 41 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 41 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_secondoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_secondoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 41 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_secondoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso2
execute if entity @e[tag=dh.t_secondoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:drowned -662 53 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Passengers:[{id:"zombie",CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Tags:["dh.t_round2","dh.t_candidato1","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round2","dh.t_candidato1","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_secondoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:zombie -662 53 -626 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Attributes:[{Name:"generic.attack_damage",Base:40}],Tags:["dh.t_mobSuono","dh.t_round2","dh.t_candidato2","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_secondoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:husk -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round2","dh.t_candidato3","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_secondoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a clear
execute if entity @e[tag=dh.t_secondoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a title {"text":"2/10"}
execute if entity @e[tag=dh.t_secondoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 41 -623 minecraft:yellow_wool run playsound minecraft:entity.husk.ambient ambient @s ~ ~ ~"}}]}

# Leva 3 Giusta
execute if block -665 41 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 41 -623 {Particle:"minecraft:ambient_entity_effect",Duration:81,Tags:["dh.t_fineRound","dh.t_soluzione2"]}

# Leve 1 e 2 Sbagliate
execute if block -665 41 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato1,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata
execute if block -665 41 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato2] add dh.t_rispostaSbagliata

execute if block -665 41 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 41 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeAnnegato"]}
execute if block -665 41 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 41 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeZombie"]}

# Rianimazione
execute if block -665 41 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 41 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 41 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 41 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 41 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso2
execute if block -665 41 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 41 -623 minecraft:yellow_wool 



# Round 3
execute if block -665 40 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 40 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_terzoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_terzoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 40 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_terzoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso3
execute if entity @e[tag=dh.t_terzoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:dolphin -662 53.5 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Passengers:[{id:"guardian",CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Tags:["dh.t_round3","dh.t_candidato1","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round3","dh.t_candidato1","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_terzoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:ghast -662 55 -626 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round3","dh.t_candidato2","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_terzoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:cat -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round3","dh.t_candidato3","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_terzoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a title {"text":"3/10"}
execute if entity @e[tag=dh.t_terzoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 40 -623 minecraft:yellow_wool run playsound minecraft:entity.cat.beg_for_food ambient @s ~ ~ ~"}}]}

# Leva 3 Giusta
execute if block -665 40 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 40 -623 {Particle:"minecraft:ambient_entity_effect",Duration:81,Tags:["dh.t_fineRound","dh.t_soluzione3"]}

# Leve 1 e 2 Sbagliate
execute if block -665 40 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato1,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata
execute if block -665 40 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato2] add dh.t_rispostaSbagliata

execute if block -665 40 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 40 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeDelfino"]}
execute if block -665 40 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 40 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeFantasma"]}

# Rianimazione
execute if block -665 40 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_spawnFireball,type=area_effect_cloud]
execute if block -665 40 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 40 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 40 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 40 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono,type=!ghast] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 40 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono,type=ghast] at @s run setblock ~-1 ~-2 ~ minecraft:lever[face=floor,facing=west]
execute if block -665 40 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso3
execute if block -665 40 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 40 -623 minecraft:yellow_wool 

# Spawna Fireball
execute if block -665 40 -623 minecraft:white_wool if entity @e[tag=dh.t_candidato2,tag=dh.t_rispostaSbagliata,type=ghast] unless entity @e[tag=dh.t_spawnFireball,type=area_effect_cloud] run summon minecraft:area_effect_cloud -665 40 -623 {Particle:"minecraft:ambient_entity_effect",Duration:61,Tags:["dh.t_spawnFireball"]}

execute if entity @e[tag=dh.t_spawnFireball,type=area_effect_cloud,nbt={Age:60}] run summon minecraft:fireball -665 47 -626 {Motion:[-0.5d,-0.3d,0d],ExplosionPower:3,Tags:["dh.t_entitaExtra3"]}



# Round 4
execute if block -665 39 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 39 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_quartoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_quartoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 39 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_quartoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso4
execute if entity @e[tag=dh.t_quartoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:piglin -662 53 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,IsImmuneToZombification:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round4","dh.t_candidato1","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_quartoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:strider -662 53 -626 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round4","dh.t_candidato2","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_quartoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:turtle -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Passengers:[{id:"guardian",CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Tags:["dh.t_round4","dh.t_candidato3","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round4","dh.t_candidato3","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_quartoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a title {"text":"4/10"}
execute if entity @e[tag=dh.t_quartoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 39 -623 minecraft:yellow_wool run playsound minecraft:entity.strider.ambient ambient @s ~ ~ ~"}}]}

# Leva 2 Giusta
execute if block -665 39 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 39 -623 {Particle:"minecraft:ambient_entity_effect",Duration:81,Tags:["dh.t_fineRound","dh.t_soluzione4"]}

# Leve 1 e 3 Sbagliate
execute if block -665 39 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato1] add dh.t_rispostaSbagliata
execute if block -665 39 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato3,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata

execute if block -665 39 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 39 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubePiglin"]}
execute if block -665 39 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 39 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeTartaruga"]}

# Rianimazione
execute if block -665 39 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 39 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 39 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 39 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 39 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso4
execute if block -665 39 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 39 -623 minecraft:yellow_wool 



# Round 5
execute if block -665 38 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 38 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_quintoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_quintoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 38 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_quintoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso5
execute if entity @e[tag=dh.t_quintoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:evoker -662 53 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round5","dh.t_candidato1","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_quintoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:illusioner -662 53 -626 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Passengers:[{id:"guardian",CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Tags:["dh.t_round5","dh.t_candidato2","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round5","dh.t_candidato2","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_quintoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:wandering_trader -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Offers:{Recipes:[]},Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round5","dh.t_candidato3","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_quintoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a title {"text":"5/10"}
execute if entity @e[tag=dh.t_quintoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 38 -623 minecraft:yellow_wool run playsound minecraft:entity.wandering_trader.reappeared ambient @s ~ ~ ~"}}]}

# Leva 3 Giusta
execute if block -665 38 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 38 -623 {Particle:"minecraft:ambient_entity_effect",Duration:81,Tags:["dh.t_fineRound","dh.t_soluzione5"]}

# Leve 1 e 2 Sbagliate
execute if block -665 38 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato1] add dh.t_rispostaSbagliata
execute if block -665 38 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato2,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata

execute if block -665 38 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 38 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeEvocatore"]}
execute if block -665 38 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 38 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeIllusionista"]}

# Rianimazione
execute if block -665 38 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 38 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[type=vex]
execute if block -665 38 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 38 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 38 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 38 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso5
execute if block -665 38 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 38 -623 minecraft:yellow_wool 



# Round 6
execute if block -665 37 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 37 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_sestoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_sestoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 37 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_sestoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso6
execute if entity @e[tag=dh.t_sestoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:panda -662 53 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round6","dh.t_candidato1","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_sestoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:bee -662 53 -626 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Attributes:[{Name:"generic.attack_damage",Base:40}],Tags:["dh.t_mobSuono","dh.t_round6","dh.t_candidato2","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_sestoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:squid -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Passengers:[{id:"guardian",CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Tags:["dh.t_round6","dh.t_candidato3","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round6","dh.t_candidato3","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_sestoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a title {"text":"6/10"}
execute if entity @e[tag=dh.t_sestoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 37 -623 minecraft:yellow_wool run playsound minecraft:entity.panda.sneeze ambient @s ~ ~ ~"}}]}

# Leva 1 Giusta
execute if block -665 37 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 37 -623 {Particle:"minecraft:ambient_entity_effect",Duration:81,Tags:["dh.t_fineRound","dh.t_soluzione6"]}

# Leve 2 e 3 Sbagliate
execute if block -665 37 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato2] add dh.t_rispostaSbagliata
execute if block -665 37 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato3,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata

execute if block -665 37 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 37 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeApe"]}
execute if block -665 37 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 37 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeCalamaro"]}

# Rianimazione
execute if block -665 37 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 37 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 37 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 37 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 37 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso6
execute if block -665 37 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 37 -623 minecraft:yellow_wool 



# Round 7
execute if block -665 36 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 36 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_settimoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_settimoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 36 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_settimoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso7
execute if entity @e[tag=dh.t_settimoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:sheep -662 53 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Passengers:[{id:"zombie",CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Tags:["dh.t_round7","dh.t_candidato1","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round7","dh.t_candidato1","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_settimoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:llama -662 53 -626 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round7","dh.t_candidato2","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_settimoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:mule -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Passengers:[{id:"zombie",CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Rotation:[90f],Tags:["dh.t_round7","dh.t_candidato3","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round7","dh.t_candidato3","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_settimoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a title {"text":"7/10"}
execute if entity @e[tag=dh.t_settimoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 36 -623 minecraft:yellow_wool run playsound minecraft:entity.llama.angry ambient @s ~ ~ ~"}}]}

# Leva 2 Giusta
execute if block -665 36 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 36 -623 {Particle:"minecraft:ambient_entity_effect",Duration:81,Tags:["dh.t_fineRound","dh.t_soluzione7"]}

# Leve 1 e 3 Sbagliate
execute if block -665 36 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato1,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata
execute if block -665 36 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato3,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata

execute if block -665 36 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 36 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubePecora"]}
execute if block -665 36 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 36 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeAsino"]}

# Rianimazione
execute if block -665 36 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 36 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 36 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 36 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 36 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso7
execute if block -665 36 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 36 -623 minecraft:yellow_wool 



# Round 8
execute if block -665 35 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 35 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_ottavoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_ottavoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 35 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_ottavoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso8
execute if entity @e[tag=dh.t_ottavoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:zombie_horse -662 53 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round8","dh.t_candidato1","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_ottavoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:hoglin -662 53 -626 {NoAI:1b,IsImmuneToZombification:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Attributes:[{Name:"generic.attack_damage",Base:40}],Tags:["dh.t_mobSuono","dh.t_round8","dh.t_candidato2","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_ottavoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:guardian -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Attributes:[{Name:"generic.attack_damage",Base:40}],Tags:["dh.t_mobSuono","dh.t_round8","dh.t_candidato3","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_ottavoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a title {"text":"8/10"}
execute if entity @e[tag=dh.t_ottavoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 35 -623 minecraft:yellow_wool run playsound minecraft:entity.zombie_horse.death ambient @s ~ ~ ~"}}]}

# Leva 1 Giusta
execute if block -665 35 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 35 -623 {Particle:"minecraft:ambient_entity_effect",Duration:81,Tags:["dh.t_fineRound","dh.t_soluzione8"]}

# Leve 2 e 3 Sbagliate
execute if block -665 35 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato2] add dh.t_rispostaSbagliata
execute if block -665 35 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato3] add dh.t_rispostaSbagliata

execute if block -665 35 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 35 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeHoglin"]}
execute if block -665 35 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 35 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeGuardiano"]}

# Rianimazione
execute if block -665 35 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 35 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 35 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 35 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 35 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso8
execute if block -665 35 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 35 -623 minecraft:yellow_wool 



# Round 9
execute if block -665 34 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 34 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_nonoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_nonoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 34 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_nonoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso9
execute if entity @e[tag=dh.t_nonoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:bat -662 53 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Passengers:[{id:"zombie",IsBaby:1,CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Tags:["dh.t_round9","dh.t_candidato1","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round9","dh.t_candidato1","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_nonoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:fox -662 53 -626 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round9","dh.t_candidato2","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_nonoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:vex -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,BoundX:-664,BoundY:47,BoundZ:-626,Rotation:[90f],Attributes:[{Name:"generic.attack_damage",Base:40}],Passengers:[{id:"zombie",IsBaby:1,CanPickUpLoot:0b,NoAI:1b,Invulnerable:1b,Silent:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],ActiveEffects:[{Id:14,Amplifier:1b,Duration:999999,ShowParticles:0b}],Tags:["dh.t_round9","dh.t_candidato3","dh.t_passeggero","dh.t_entitaExtra3"]}],Tags:["dh.t_mobSuono","dh.t_round9","dh.t_candidato3","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_nonoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a title {"text":"9/10"}
execute if entity @e[tag=dh.t_nonoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 34 -623 minecraft:yellow_wool run playsound minecraft:entity.fox.screech ambient @s ~ ~ ~"}}]}

# Leva 2 Giusta
execute if block -665 34 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 34 -623 {Particle:"minecraft:ambient_entity_effect",Duration:81,Tags:["dh.t_fineRound","dh.t_soluzione9"]}

# Leve 1 e 3 Sbagliate
execute if block -665 34 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato1,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata
execute if block -665 34 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato3,tag=!dh.t_passeggero] add dh.t_rispostaSbagliata

execute if block -665 34 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 34 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubePipistrello"]}
execute if block -665 34 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 34 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeVex"]}

# Rianimazione
execute if block -665 34 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 34 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 34 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 34 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 34 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso9
execute if block -665 34 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 34 -623 minecraft:yellow_wool 

# Pipistrello
execute if block -665 34 -623 minecraft:white_wool as @e[tag=dh.t_candidato1,tag=dh.t_rispostaSbagliata,type=bat] run data merge entity @s {BatFlags:0b}

# Vex
execute if block -665 34 -623 minecraft:white_wool as @e[tag=dh.t_candidato3,tag=dh.t_rispostaSbagliata,type=vex] unless entity @s[x=-669,y=44,z=-632,dx=9,dy=7,dz=12] run tp @s -664 48 -626



# Round 10
execute if block -665 33 -623 minecraft:orange_wool run summon minecraft:area_effect_cloud -665 33 -623 {Particle:"minecraft:ambient_entity_effect",Duration:101,Tags:["dh.t_decimoSuono","dh.t_presentaMob"]}

execute if entity @e[tag=dh.t_decimoSuono,type=area_effect_cloud,nbt={Age:0}] run setblock -665 33 -623 minecraft:yellow_wool
execute if entity @e[tag=dh.t_decimoSuono,type=area_effect_cloud,nbt={Age:0}] run tag @s add dh.t_riavvioDiscorso10
execute if entity @e[tag=dh.t_decimoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:piglin_brute -662 53 -629 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],IsImmuneToZombification:1b,Attributes:[{Name:"generic.attack_damage",Base:40}],Tags:["dh.t_mobSuono","dh.t_round10","dh.t_candidato1","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_decimoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:polar_bear -662 53 -626 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Attributes:[{Name:"generic.attack_damage",Base:40}],Tags:["dh.t_mobSuono","dh.t_round10","dh.t_candidato2","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_decimoSuono,type=area_effect_cloud,nbt={Age:0}] run summon minecraft:ravager -662 53 -623 {NoAI:1b,Silent:1b,Invulnerable:1b,PersistenceRequired:1b,CanPickUpLoot:0b,Rotation:[90f],Tags:["dh.t_mobSuono","dh.t_round10","dh.t_candidato3","dh.t_rispostaEsatta","dh.t_entitaExtra3"]}
execute if entity @e[tag=dh.t_decimoSuono,type=area_effect_cloud,nbt={Age:0}] run title @a title {"text":"10/10"}
execute if entity @e[tag=dh.t_decimoSuono,type=area_effect_cloud,nbt={Age:100}] run tellraw @a {"translate":"\n%s Clicca %s per sentire il suono.","with":[{"text":"<DragonHeart>","color":"red"},{"text":"qui","color":"green","clickEvent":{"action":"run_command","value":"/execute if block -665 33 -623 minecraft:yellow_wool run playsound minecraft:entity.ravager.roar ambient @s ~ ~ ~"}}]}

# Leva 3 Giusta
execute if block -665 33 -623 minecraft:yellow_wool if block -663 45 -623 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 33 -623 {Particle:"minecraft:ambient_entity_effect",Duration:111,Tags:["dh.t_fineRound","dh.t_soluzione10"]}

# Leve 1 e 2 Sbagliate
execute if block -665 33 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato1] add dh.t_rispostaSbagliata
execute if block -665 33 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run tag @e[tag=dh.t_candidato2] add dh.t_rispostaSbagliata

execute if block -665 33 -623 minecraft:yellow_wool if block -663 45 -629 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 33 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeBruto"]}
execute if block -665 33 -623 minecraft:yellow_wool if block -663 45 -626 minecraft:lever[powered=true] run summon minecraft:area_effect_cloud -665 33 -623 {Particle:"minecraft:ambient_entity_effect",Duration:41,Tags:["dh.t_penitenza","dh.t_nubeOrso"]}

# Rianimazione
execute if block -665 33 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run kill @e[tag=dh.t_rispostaSbagliata]
execute if block -665 33 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @a[tag=dh.t_inCombattimento] remove dh.t_inCombattimento
execute if block -665 33 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run tp @s ~ ~-8 ~
execute if block -665 33 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] as @e[tag=dh.t_mobSuono] at @s run setblock ~-1 ~ ~ minecraft:lever[face=floor,facing=west]
execute if block -665 33 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run tag @s remove dh.t_riavvioDiscorso10
execute if block -665 33 -623 minecraft:white_wool if entity @a[tag=dh.t_giocatori,nbt={DeathTime:1s}] run setblock -665 33 -623 minecraft:yellow_wool 



# Risposta Sbagliata
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:0}] at @e[tag=dh.t_penitenza,type=area_effect_cloud] run setblock ~ ~ ~ minecraft:white_wool
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:0}] run fill -663 45 -629 -663 45 -623 air
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:0}] at @e[tag=dh.t_rispostaSbagliata,type=!ghast] run particle minecraft:barrier ~-1 ~1 ~ 
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:0}] at @e[tag=dh.t_rispostaSbagliata,type=ghast] run particle minecraft:barrier ~-1 ~-1 ~ 
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:0}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:block.lava.extinguish ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:0}] run tag @a[tag=dh.t_giocatori] add dh.t_inCombattimento
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:20}] as @e[tag=dh.t_mobSuono,tag=!dh.t_rispostaSbagliata] at @s run tp @s ~ ~8 ~

execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeOcelot,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.ocelot.death ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeStrega,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.witch.celebrate ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeAnnegato,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.drowned.ambient ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeZombie,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.zombie.ambient ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeDelfino,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.dolphin.play ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeFantasma,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.ghast.ambient ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubePiglin,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.piglin.angry ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeTartaruga,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.turtle.hurt ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeEvocatore,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.evoker.ambient ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeIllusionista,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.illusioner.ambient ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeApe,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.bee.death ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeCalamaro,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.squid.squirt ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubePecora,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.sheep.ambient ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeAsino,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.mule.angry ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeHoglin,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.hoglin.death ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeGuardiano,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.guardian.death_land ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubePipistrello,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.bat.death ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeVex,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.vex.death ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeBruto,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.piglin_brute.death ambient @a ~ ~ ~ 5 1
execute if entity @e[tag=dh.t_penitenza,tag=dh.t_nubeOrso,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaSbagliata] run playsound minecraft:entity.polar_bear.death ambient @a ~ ~ ~ 5 1

execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:40}] run data merge entity @e[tag=dh.t_passeggero,x=-669,y=44,z=-632,dx=9,dy=6,dz=12,limit=1] {NoAI:0b,Silent:1b}
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:40}] run data merge entity @e[tag=dh.t_rispostaSbagliata,type=!ghast,limit=1] {NoAI:0b,Silent:1b}
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:40}] run data merge entity @e[tag=dh.t_rispostaSbagliata,type=bee,limit=1] {AngerTime:600}
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:40}] run data modify entity @e[tag=dh.t_rispostaSbagliata,type=bee,limit=1] AngryAt set from entity @a[tag=dh.t_primoGiocatore,limit=1] UUID
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:40}] run data merge entity @e[tag=dh.t_rispostaSbagliata,type=sheep,limit=1] {Motion:[-0.2d,0d,0d]}
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:40}] run data merge entity @e[tag=dh.t_rispostaSbagliata,type=mule,limit=1] {Motion:[-0.2d,0d,0d]}
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:40}] run data merge entity @e[tag=dh.t_rispostaSbagliata,type=polar_bear,limit=1] {AngerTime:600}
execute if entity @e[tag=dh.t_penitenza,type=area_effect_cloud,nbt={Age:40}] run data modify entity @e[tag=dh.t_rispostaSbagliata,type=polar_bear,limit=1] AngryAt set from entity @a[tag=dh.t_primoGiocatore,limit=1] UUID

# Risposta Esatta
execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:0}] at @e[tag=dh.t_fineRound,type=area_effect_cloud] run setblock ~ ~ ~ minecraft:lime_wool 
execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:0}] run fill -663 45 -629 -663 45 -623 air
execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:0}] run fill -662 44 -629 -662 44 -623 light_gray_concrete
execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:0}] run kill @e[tag=dh.t_passeggero]
execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:0}] run kill @e[tag=dh.t_mobSuono,tag=!dh.t_rispostaEsatta]
execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:0}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.arrow.hit_player ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione1,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso1
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione2,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso2
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione3,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso3
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione4,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso4
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione5,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso5
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione6,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso6
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione7,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso7
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione8,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso8
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione9,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso9
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione10,type=area_effect_cloud,nbt={Age:0}] run tag @s remove dh.t_riavvioDiscorso10
execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run particle minecraft:note ~-1 ~1 ~

execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione1,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.parrot.imitate.witch ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione1,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo è il verso di un pappagallo quando imita una strega.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione2,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.husk.ambient ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione2,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo è il verso di un husk.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione3,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.cat.beg_for_food ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione3,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo è il verso del gatto quando chiede cibo.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione4,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.strider.ambient ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione4,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo è il verso dello strider.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione5,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.wandering_trader.reappeared ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione5,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo suono viene prodotto dal mercante ambulante quando torna visibile dopo una lunga notte.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione6,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.panda.sneeze ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione6,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo suono viene prodotto dal panda quando starnutisce.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione7,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.llama.angry ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione7,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo è il verso del lama quando attacca il giocatore.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione8,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.zombie_horse.death ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione8,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo è il verso del cavallo zombie quando muore.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione9,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.fox.screech ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione9,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo è il verso della volpe quando strilla.","with":[{"text":"<DragonHeart104>","color":"gold"}]}
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione10,type=area_effect_cloud,nbt={Age:30}] at @e[tag=dh.t_rispostaEsatta] run playsound minecraft:entity.ravager.roar ambient @a ~ ~ ~
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione10,type=area_effect_cloud,nbt={Age:30}] run tellraw @a {"translate":"\n%s Questo è il ruggito del distruttore.","with":[{"text":"<DragonHeart104>","color":"gold"}]}

execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:60}] as @e[tag=dh.t_rispostaEsatta] at @s run tp @s ~ ~8 ~
execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:70}] run kill @e[tag=dh.t_rispostaEsatta]
execute if entity @e[tag=dh.t_fineRound,type=area_effect_cloud,nbt={Age:80}] at @e[tag=dh.t_fineRound,type=area_effect_cloud] run setblock ~ ~-1 ~ minecraft:orange_wool
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione10,type=area_effect_cloud,nbt={Age:90}] at @a[tag=dh.t_giocatori] run playsound minecraft:block.note_block.bell ambient @a ~ ~ ~ 1 0.8
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione10,type=area_effect_cloud,nbt={Age:93}] at @a[tag=dh.t_giocatori] run playsound minecraft:block.note_block.bell ambient @a ~ ~ ~ 1 0.9
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione10,type=area_effect_cloud,nbt={Age:110}] run clone -658 49 -629 -658 45 -623 -661 45 -629
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione10,type=area_effect_cloud,nbt={Age:110}] run playsound minecraft:block.stone.place ambient @a -661 45 -626
execute if entity @e[tag=dh.t_fineRound,tag=dh.t_soluzione10,type=area_effect_cloud,nbt={Age:110}] run data merge block -641 42 -631 {auto:0b}